Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.selector.viewModelElement.model.provider
Class ViewModelElementItemProviderAdapterFactory.TemplateChildCreationExtender

    java.lang.Object
      org.eclipse.emf.ecp.view.template.selector.viewModelElement.model.provider.ViewModelElementItemProviderAdapterFactory.TemplateChildCreationExtender

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.IChildCreationExtender

Enclosing class:
  ViewModelElementItemProviderAdapterFactory

    public static class ViewModelElementItemProviderAdapterFactory.TemplateChildCreationExtender

extends Object
implements org.eclipse.emf.edit.provider.IChildCreationExtender

A child creation extender for the `VTTemplatePackage`.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IChildCreationExtender
`org.eclipse.emf.edit.provider.IChildCreationExtender.Descriptor`

Constructor Summary
`ViewModelElementItemProviderAdapterFactory.TemplateChildCreationExtender()`

Method Summary
`Collection<Object>` | `getNewChildDescriptors(Object object, org.eclipse.emf.edit.domain.EditingDomain editingDomain)`
`org.eclipse.emf.common.util.ResourceLocator` | `getResourceLocator()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewModelElementItemProviderAdapterFactory.TemplateChildCreationExtender

    public ViewModelElementItemProviderAdapterFactory.TemplateChildCreationExtender()

Method Detail

### getNewChildDescriptors

    public Collection<Object> getNewChildDescriptors(Object object,
                                                     org.eclipse.emf.edit.domain.EditingDomain editingDomain)

  Specified by:
    `getNewChildDescriptors` in interface `org.eclipse.emf.edit.provider.IChildCreationExtender`

### getResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getResourceLocator()

  Specified by:
    `getResourceLocator` in interface `org.eclipse.emf.edit.provider.IChildCreationExtender`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.